/**
string class extension written by Vu Duong <vu.duong@masterpiece-softworks.de>

:::How to use:::
Include this file to your flash to get access to the additional class methods.
To use all class extensions read the instruction in the flashclass_extension.as file
*/

trace("flashclass extension <string> loaded");

String.prototype.replace = function() {
	if(this.split(arguments[0]).length <= 1) {
		return this;
	} else {
		var arg_search, arg_replace, position;
		var endText, preText, newText;
		arg_search = arguments[0];
		arg_replace = arguments[1];
		if(arg_search.length==1) return this.split(arg_search).join(arg_replace);
		position = this.indexOf(arg_search);
		if(position == -1) return this;
		endText = this;
		newText = "";
		do {
			position = endText.indexOf(arg_search);
			preText = endText.substring(0, position)
			endText = endText.substring(position + arg_search.length)
			newText += preText + arg_replace;
		} while(endText.indexOf(arg_search) != -1)
		newText += endText;
		return newText;
	}
}

String.prototype.isEmpty = function() {
	var onlySpaces = true;
	for(var i = 0; i < this.length; i++) {
		if(this.charAt(i) != " " && escape(this.charAt(i)) != "%0D") {
			onlySpaces = false;
			break;
		}
	}
	return (this == "" || this == null || this == undefined || onlySpaces);
}

ASSetPropFlags(String.prototype, "replace", 1);
ASSetPropFlags(String.prototype, "isEmpty", 1);
